We have detected that cookies are not enabled on your browser. Please enable cookies to ensure the proper experience.
Results 1 to 15 of 15
  1. #1

    64 Bit Launcher for Catalina?

    Any word on if we might be getting a 64 bit launcher that will play nice with the upcoming Catalina?

    The x64 bit Wine client works great but it's contingent to a 32 bit launcher that is no longer supported with the new OS.

  2. #2
    Join Date
    Dec 2010
    Location
    Georgia (USA)
    Posts
    48
    Still working on 64b in the LS. Few buggy things here and there but we post when something is brakes and Dev team works fast as they can to fix. More details on problem better the know what to fix. But 64b is very very nice to play.It will take time since LOTRO is 1st older games to move to 64b.Talked with a friend in Bioware and they said if SSG can work it out then soon others will follow their lead.
    Try not. Do or do not, there is no try.
    -- Yoda

  3. #3
    Thanks for your response but if you can forgive my ignorance can I ask what 'LS' is/means?

  4. #4
    Join Date
    Apr 2007
    Location
    Vancouver, WA
    Posts
    89
    It's September and Catalina is all but here. I'm running the beta on two of my boxxen, which means they don't LOTRO. Please don't make us stay with anachronistic technology just to play the game. Security matters!

  5. #5
    Quote Originally Posted by Calblack View Post
    It's September and Catalina is all but here. I'm running the beta on two of my boxxen, which means they don't LOTRO. Please don't make us stay with anachronistic technology just to play the game. Security matters!
    Well, most likely it won't be released tomorrow. I would suspect it around the 24th of September based on previous release dates.

    Also I would suspect to see an updated client once it's officially released, if not a little bit afterwards.

  6. #6

  7. #7
    Join Date
    Jul 2019
    Posts
    43
    Quote Originally Posted by Ryan888K View Post
    Any word on if we might be getting a 64 bit launcher that will play nice with the upcoming Catalina?

    The x64 bit Wine client works great but it's contingent to a 32 bit launcher that is no longer supported with the new OS.
    I don't know about "works great."

    Like, it mostly works, which is I guess good by mac gaming standards, but the fact that the wine-preloader runs 32-bit and the wine-server runs 64 bit causes a lot of crashes and cpu freezes (at least to me), when the game has to render a lot of things quickly--like riding your mount around Minas Tirith, or warehorsing through Bree wen there's heavy population, etc.

    Fingers crossed that they do make a new client with Catalina coming out, but a lot of game devs sadly neglect the mac side of their development hard...

  8. #8

    To pay or not to pay that's the question

    If you can't play the game under Catalina, Why pay for the game?

  9. #9

    The Difference in OS.

    Majority of Mac User upgrade our OS System because Apple dose not release an OS unless it can do what Apple says its suppose to do. It's not like Window OS were You need to download patches for the defects in the OS. Microsoft releases it OS Too quick before they find all the bugs in the System, making many Window's user shy when up grading their OS. If Microsoft really care about it's costumers they would spend more time and money getting it right the first time. As it Microsoft should join the rest of other OS Systems that are UNIX Base, it would cut down on their error and need for patches after their new upgrades.

  10. #10

    64 bit launcher

    I just paid for 3 months of VIP and new OS operating system prevents game from launching..32 or 64 bit issue
    New operating system is Catalina. any help available

  11. #11
    Quote Originally Posted by AstaldoV View Post
    I just paid for 3 months of VIP and new OS operating system prevents game from launching..32 or 64 bit issue
    New operating system is Catalina. any help available
    Am sharing info from another player and me from another thread (MAC petition) which may help.

    "Originally Posted by Bothketbog
    I'll assume your new MacBook came with Catalina. As has been the case for some time, LOtRO will not run on that operating system. Apple decided to stop supporting 32-bit applications in their latest OS and the launcher runs 32-bit. The alternatives are to 1) set up a separate partition with Mojave or 2) try Crossover or Boot Camp. There are numerous prior posts on this forum explaining the latter. Hopefully, WINE will be updated some time in the future. Until then, no LOtRO on OS 10.15."

    Know that even if you use CrossOver, you will likely still have problems. I had it working fine, but with the latest updates for MacOS (10.15.5) and CrossOver, I'm hung in the water. I previously had a partition, and would hate to have to do it again as that solution was not always stable. Will try it as a last resort, but ...

    Basically, I've come to the conclusion that SSG doesn't care about it's MAC fans, and although I love the game (9 years playing), I may have to give it up....and it's the only online game I play

    Good Luck!

  12. #12

    Update on Wine for 64 bit Catalina Mac OS.

    Anyone have an update? I'm relying on old tech just to play. I spend money on the game. I'd like to see a mac update.

    Thanks!

  13. #13
    Quote Originally Posted by Jarne View Post
    Anyone have an update? I'm relying on old tech just to play. I spend money on the game. I'd like to see a mac update.

    Thanks!
    Same here, I'm considering canceling VIP when it's set to renew in a couple of months. I've been playing about 9 years now and VIP for most of that. I'd like too keep giving them money but, well... ¯\_( " )_/¯
    Setting Fire to Middle Earth since 2011
    -Crickhollow-
    NiennaNir, Ecthelor, Laerithil, Indelin, Nyarinya

  14. #14
    Join Date
    Mar 2017
    Location
    Gilead
    Posts
    109

    Installing macOS on a separate APFS volume

    I don't think we can ever expect a 64-bit launcher from SSG specifically for us Mac users.

    I'm curious if anyone has tried to install a separate pre-Catalina macOS and just use that for running LOTRO?

    https://support.apple.com/en-us/HT208891

  15. #15
    Yes. With APFS it is extraordinarily easy to run multiple Operating Systems. So I run High Sierra (last hurrah for NVidia drivers), and Catalina (for Logic Pro X), and a Win10 (solely for LOTRO). Sadly the LOTRO install on High Sierra does not even closely compare to the Win10 performance. When LOTRO went WINE, I saw a huge performance hit. Just aint worth the squeeze to me.

 

 

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  

This form's session has expired. You need to reload the page.

Reload